%define		pname tai64nfrac
%define		pversion 0.01
%define 	bversion 4
%define		rpmrelease iworx

%define 	debug_package %{nil}

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

BuildRequires: httpd
%define		ccflags %{optflags}
%define		ldflags %{optflags}


############### RPM ################################

Summary:	Convert external TAI64N timestamps to fractional seconds since epoch.
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	Free
Packager:   Joseph Purkis <jpurkis@interworx.com>

Group:		Utilities/System
Source0:	%{name}-%{version}.tar.gz
URL:		http://www.qmail.org
Distribution:	InterWorx-HAL
Vendor:         NEXCESS.NET L.L.C

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%define destdir %buildroot
%global myhome /usr/local

%description

%prep
%setup -q

%build
make DESTDIR=%destdir MYHOME=%myhome

%install
rm -rf %destdir


make DESTDIR=%destdir MYHOME=%myhome install command_link

%clean
rm -rf %destdir

%files
%defattr(-,root,root,-)
%doc README
%myhome/bin/%name
/command/%name

%changelog
* Mon Sep 20 2021 Joseph Purkis <jpurkis@interworx.com>
- New spec, build and added Almalinux
* Sun Jun  1 2003 Mate Wierdl <mw@csi.hu>
- Initial build.


